diff --git a/app/fin/constants/bill_types.go b/app/fin/constants/bill_types.go
index c3d190e8ad634d7d2ca63aae0c6f22401bcddd95..7513ff4285a40564d155d47ecb5ecea5bf1d7ac8 100644
--- a/app/fin/constants/bill_types.go
+++ b/app/fin/constants/bill_types.go
@@ -6,11 +6,11 @@ var BillTypeEnum = enum.New[struct {
 	EcsElectric string `enum:"0"` // 能耗电表计费
 	EcsWater    string `enum:"1"` // 能耗水计费
 	EcsGas      string `enum:"2"` // 能耗燃气计费
-	SElectric   string `enum:"6"` // 公摊摊电
-	SWater      string `enum:"7"` // 公摊水
-	SGas        string `enum:"8"` // 公摊燃气
-	SAtt        string `enum:"9"` // 公摊附加
-	AElectric   string `enum:"3"` // 分摊电
-	AWater      string `enum:"4"` // 分摊水
-	AGas        string `enum:"5"` // 分摊燃气
+	SElectric   string `enum:"3"` // 公摊摊电
+	SWater      string `enum:"4"` // 公摊水
+	SGas        string `enum:"5"` // 公摊燃气
+	SAtt        string `enum:"6"` // 公摊附加
+	AElectric   string `enum:"7"` // 分摊电
+	AWater      string `enum:"8"` // 分摊水
+	AGas        string `enum:"9"` // 分摊燃气
 }]()
diff --git a/app/fin/constants/ecs_types.go b/app/fin/constants/ecs_types.go
new file mode 100644
index 0000000000000000000000000000000000000000..909595e1f076f7872840723748380f3630c4534c
--- /dev/null
+++ b/app/fin/constants/ecs_types.go
@@ -0,0 +1,11 @@
+package constants
+
+var ecsTypeEnum = map[string]string{
+	"electric": "电",
+	"water":    "水",
+	"gas":      "气",
+}
+
+func GetEcsTypeName(ecsType string) string {
+	return ecsTypeEnum[ecsType]
+}
diff --git a/app/fin/constants/payment_method_types.go b/app/fin/constants/payment_method_types.go
index c1bb8f45eb785683e4539c243cf10026b8ecdddb..4e9c2e2ec28a89204d60a72411a3e51c8a825404 100644
--- a/app/fin/constants/payment_method_types.go
+++ b/app/fin/constants/payment_method_types.go
@@ -10,5 +10,5 @@ var paymentMethodEnum = map[string]string{
 }
 
 func GetPaymentMethod(paymentMethod string) string {
-	return feeNameEnum[paymentMethod]
+	return paymentMethodEnum[paymentMethod]
 }
diff --git a/app/fin/constants/task_keys.go b/app/fin/constants/task_keys.go
index 2f4bdd919cd4f0a79ce741e4272b642d0be67ed2..b53be57a10082cb24c7e3875514568daf662275e 100644
--- a/app/fin/constants/task_keys.go
+++ b/app/fin/constants/task_keys.go
@@ -1,6 +1,7 @@
 package constants
 
 const (
+	Lock_key_Precalc   = "lock:key:precalc"
 	Lock_key_Ecs       = "lock:key:ecs"
 	Lock_key_SElectric = "lock:key:secs"
 	Lock_key_SWater    = "lock:key:swater"
@@ -10,6 +11,8 @@ const (
 	Lock_key_AWater    = "lock:key:awater"
 	Lock_key_AGas      = "lock:key:agas"
 
-	Task_Fee_Que    = "task_fee_queue"
 	Dev_Control_Que = "dev:control:queue"
+	Task_Purse_Que  = "task:purse:queue"
+	Task_Bill_Que   = "task:bill:queue"
+	Task_Shared_Que = "task:shared:queue"
 )
diff --git a/app/fin/model/apportion_model.go b/app/fin/model/apportion_model.go
index b25693469622b787573b8466cf35e4282178b115..22912bc8bdf6d5ac7782b5a0a737a2a839ddc609 100644
--- a/app/fin/model/apportion_model.go
+++ b/app/fin/model/apportion_model.go
@@ -11,11 +11,11 @@ type FinApportionSchemes struct {
 	SchemeName   string `json:"schemeName" gorm:"type:varchar(100);index;comment:'方案名称'"`                                       // 方案名称
 	AreaType     string `json:"areaType" gorm:"index;comment:'面积类型(build:建筑面积,used:使用面积,fee:收费面积,share:公摊面积)';default='build'"` // 面积类型(build:建筑面积,used:使用面积,fee:收费面积,share:公摊面积)
 	SchemeType   string `json:"schemeType" gorm:"index;comment:'方案类型(water:水,electic:电,gas:气)'"`                                // 方案类型(water:水,electic:电,gas:气)
-	RoundMethod  string `json:"roundMethod" gorm:"comment:'取舍方式(round:四舍五入,up:进一法,trunc:舍尾)';default:'round'""`                 // 取舍方式
-	DecimalBit   int8   `json:"decimalBit" gorm:"comment:'小数位数'""`                                                              // 小数位数
-	SharedMethod string `json:"sharedMethod" gorm:"index;comment:'分摊方式(ratio:比例,area:面积,avg:平均)';default='ratio'"`              // 分摊方式(ratio:比例,area:面积,avg:平均)
-	SharedType   string `json:"sharedType" gorm:"index;comment:'分摊类型(qt:用量,amt:金额)';default='qt'"`                              // 分摊类型(qt:用量,amt:金额)
-	SharedUser   string `json:"sharedUser" gorm:"index;comment:'分摊人员(cust:租客,all:租客+业主)';default='cust'"`                       // 分摊人员(cust:租客,all:租客+业主)
+	RoundMethod  string `json:"roundMethod" gorm:"comment:'取舍方式(round:四舍五入,up:进一法,trunc:舍尾)';default:'round'"`                  // 取舍方式
+	DecimalBit   int8   `json:"decimalBit" gorm:"comment:'小数位数'"`                                                               // 小数位数
+	SharedMethod string `json:"sharedMethod" gorm:"comment:'分摊方式(ratio:比例,area:面积,avg:平均)';default='ratio'"`                    // 分摊方式(ratio:比例,area:面积,avg:平均)
+	SharedType   string `json:"sharedType" gorm:"comment:'分摊类型(qt:用量,amt:金额)';default='qt'"`                                    // 分摊类型(qt:用量,amt:金额)
+	SharedUser   string `json:"sharedUser" gorm:"comment:'分摊人员(cust:租客,all:租客+业主)';default='cust'"`                             // 分摊人员(cust:租客,all:租客+业主)
 	TenantId     uint   `json:"tenantId" gorm:"default:0;comment:所属租户ID;index"`
 	collection.NewModel
 }
diff --git a/app/fin/model/bill_model.go b/app/fin/model/bill_model.go
index 122581c0c53f8edc926dd4c72c32f83a7d5bc3b5..8b2c852ee3e822a9991d57136655054dc69893da 100644
--- a/app/fin/model/bill_model.go
+++ b/app/fin/model/bill_model.go
@@ -8,37 +8,39 @@ import (
 
 // FinBill [财务]-收银台-账单实体
 type FinBill struct {
-	Id              uint      `gorm:"primarykey;comment:'主键'"`                                           // 主键
-	BillType        string    `gorm:"comment:'账单类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)'"` // 账单类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)
-	SchemeId        uint      `gorm:"comment:'方案ID'"`                                                    // 方案ID
-	RegionId        uint      `gorm:"comment:'顶级区域ID'"`                                                  // 顶级区域ID
-	RegionName      string    `gorm:"comment:'顶级区域名'"`                                                   // 顶级区域名
-	AreaId          uint      `gorm:"comment:'区域ID'"`                                                    // 区域ID
-	AreaName        string    `gorm:"comment:'区域名'"`                                                     // 区域名
-	HouseId         uint      `gorm:"comment:'房间ID'"`                                                    // 房间ID
-	HouseName       string    `gorm:"comment:'房间名'"`                                                     // 房间名
-	HouseArea       float64   `gorm:"comment:'房屋面积'"`                                                    // 房屋面积
-	DeviceId        uint      `gorm:"comment:'设备ID'"`                                                    // 设备ID
-	DeviceName      string    `gorm:"comment:'设备名'"`                                                     // 设备名
-	Address         string    `gorm:"comment:'设备地址'"`                                                    // 设备地址
-	OwnerId         uint      `gorm:"comment:'业主ID'"`                                                    // 业主ID
-	OwnerName       string    `gorm:"comment:'业主名'"`                                                     // 业主名
-	StartDate       time.Time `gorm:"comment:'费用起始日期'"`                                                  // 费用起始日期
-	EndDate         time.Time `gorm:"comment:'费用结束日期'"`                                                  // 费用结束日期
-	FeeName         string    `gorm:"comment:'费用名称'"`                                                    // 费用名称
-	BillAmount      float64   `gorm:"comment:'账单金额'"`                                                    // 账单金额
-	UnpaidAmount    float64   `gorm:"comment:'未缴金额'"`                                                    // 未缴金额
-	PaidAmount      float64   `gorm:"comment:'已缴金额'"`                                                    // 已缴金额
-	LateAmount      float64   `gorm:"comment:'滞纳金'"`                                                     // 滞纳金
-	ReductionAmount float64   `gorm:"comment:'减免金额'"`                                                    // 减免金额
-	UsageTotal      float64   `gorm:"comment:'用量'"`                                                      // 用量
-	UsageStart      float64   `gorm:"comment:'开始用量'"`                                                    // 开始用量
-	UsageEnd        float64   `gorm:"comment:'结束用量'"`                                                    // 结束用量
-	FinTime         time.Time `gorm:"comment:'财务时间'"`                                                    // 财务时间
-	EcsTime         time.Time `gorm:"comment:'能耗公摊时间'"`                                                  // 能耗公摊时间
-	TenantId        uint      `gorm:"comment:'租户ID'"`                                                    // 租户ID
-	PayState        string    `gorm:"comment:支付状态;not null;default:'0'"`                                 // 支付状态(0:未支付,1:已支付)
-	OnAccount       string    `gorm:"comment:是否挂账;not null;default:'0'"`                                 // 是否挂账(0:否,1:是)
+	Id              uint      `gorm:"primarykey;comment:'主键'"`                                                        // 主键
+	BillType        string    `gorm:"comment:'账单类型(0:能源电,1:能源水,2:能源气,3:公摊水,4:公摊电,5:公摊燃气,6:公摊附加,7:分摊水,8:分摊电,9:分摊燃气)'"` // 账单类型(0:能源电,1:能源水,2:能源气,3:公摊水,4:公摊电,5:公摊燃气,6:公摊附加,7:分摊水,8:分摊电,9:分摊燃气)
+	SchemeId        uint      `gorm:"comment:'方案ID'"`                                                                 // 方案ID
+	RegionId        uint      `gorm:"comment:'顶级区域ID'"`                                                               // 顶级区域ID
+	RegionName      string    `gorm:"comment:'顶级区域名'"`                                                                // 顶级区域名
+	AreaId          uint      `gorm:"comment:'区域ID'"`                                                                 // 区域ID
+	AreaName        string    `gorm:"comment:'区域名'"`                                                                  // 区域名
+	HouseId         uint      `gorm:"comment:'房间ID'"`                                                                 // 房间ID
+	HouseName       string    `gorm:"comment:'房间名'"`                                                                  // 房间名
+	HouseArea       float64   `gorm:"comment:'房屋面积'"`                                                                 // 房屋面积
+	DeviceId        uint      `gorm:"comment:'设备ID'"`                                                                 // 设备ID
+	DeviceName      string    `gorm:"comment:'设备名'"`                                                                  // 设备名
+	Address         string    `gorm:"comment:'设备地址'"`                                                                 // 设备地址
+	OwnerId         uint      `gorm:"comment:'业主ID'"`                                                                 // 业主ID
+	OwnerName       string    `gorm:"comment:'业主名'"`                                                                  // 业主名
+	StartDate       time.Time `gorm:"comment:'费用起始日期'"`                                                               // 费用起始日期
+	EndDate         time.Time `gorm:"comment:'费用结束日期'"`                                                               // 费用结束日期
+	FeeName         string    `gorm:"comment:'费用名称'"`                                                                 // 费用名称
+	BillAmount      float64   `gorm:"comment:'账单金额'"`                                                                 // 账单金额
+	UnpaidAmount    float64   `gorm:"comment:'未缴金额'"`                                                                 // 未缴金额
+	PaidAmount      float64   `gorm:"comment:'已缴金额'"`                                                                 // 已缴金额
+	LateAmount      float64   `gorm:"comment:'滞纳金'"`                                                                  // 滞纳金
+	ReductionAmount float64   `gorm:"comment:'减免金额'"`                                                                 // 减免金额
+	UsageTotal      float64   `gorm:"comment:'用量'"`                                                                   // 用量
+	UsageStart      float64   `gorm:"comment:'开始用量'"`                                                                 // 开始用量
+	UsageEnd        float64   `gorm:"comment:'结束用量'"`                                                                 // 结束用量
+	FinTime         time.Time `gorm:"comment:'财务时间'"`                                                                 // 财务时间
+	EcsTime         time.Time `gorm:"comment:'能耗公摊时间'"`                                                               // 能耗公摊时间
+	TenantId        uint      `gorm:"comment:'租户ID'"`                                                                 // 租户ID
+	PayState        string    `gorm:"comment:支付状态;not null;default:'0'"`                                              // 支付状态(0:未支付,1:已支付)
+	OnAccount       string    `gorm:"comment:是否挂账;not null;default:'0'"`                                              // 是否挂账(0:否,1:是)
+	BillingMethod   string    `json:"billingMethod" structs:"billingMethod"`                                          // 计费方式(0:单一,1:月周期,2:年周期,3:四费率,4:五费率)
+	StepFee         string    `json:"stepFee" structs:"stepFee"`                                                      // 阶梯费用
 	collection.NewModel
 }
 
diff --git a/app/fin/model/device_record_model.go b/app/fin/model/device_record_model.go
index a6fa318ab3d6c883343f75e4c8b0373a4f493688..39aa60e4c6cf15fe6a8bca3c9e7b7c08c33558c8 100644
--- a/app/fin/model/device_record_model.go
+++ b/app/fin/model/device_record_model.go
@@ -8,23 +8,29 @@ import (
 
 // FinDeviceRecord [财务]-收银台-设备费用实体
 type FinDeviceRecord struct {
-	Id         uint      `gorm:"primarykey;comment:'主键'"`                                             // 主键
-	BillType   string    `gorm:"comment:'设备费用类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)'"` // 设备费用类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)
-	SchemeId   uint      `gorm:"comment:'方案ID'"`                                                      // 方案ID
-	RegionId   uint      `gorm:"comment:'顶级区域ID'"`                                                    // 顶级区域ID
-	RegionName string    `gorm:"comment:'顶级区域名'"`                                                     // 顶级区域名
-	AreaId     uint      `gorm:"comment:'区域ID'"`                                                      // 区域ID
-	AreaName   string    `gorm:"comment:'区域名'"`                                                       // 区域名
-	HouseId    uint      `gorm:"comment:'房间ID'"`                                                      // 房间ID
-	HouseName  string    `gorm:"comment:'房间名'"`                                                       // 房间名
-	HouseArea  float64   `gorm:"comment:'房间面积'"`                                                      // 房间面积
-	DeviceId   uint      `gorm:"comment:'设备ID'"`                                                      // 设备ID
-	DeviceName string    `gorm:"comment:'设备名'"`                                                       // 设备名
-	FeeDate    time.Time `gorm:"comment:'费用日期'"`                                                      // 费用日期
-	BillAmount float64   `gorm:"comment:'设备费用金额'"`                                                    // 设备费用金额
-	UsageTotal float64   `gorm:"comment:'用量'"`                                                        // 用量
-	UsageStart float64   `gorm:"comment:'开始用量'"`                                                      // 开始用量
-	UsageEnd   float64   `gorm:"comment:'结束用量'"`                                                      // 结束用量
+	Id             uint      `gorm:"primarykey;comment:'主键'"`                                             // 主键
+	BillType       string    `gorm:"comment:'设备费用类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)'"` // 设备费用类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)
+	SchemeId       uint      `gorm:"comment:'方案ID'"`                                                      // 方案ID
+	RegionId       uint      `gorm:"comment:'顶级区域ID'"`                                                    // 顶级区域ID
+	RegionName     string    `gorm:"comment:'顶级区域名'"`                                                     // 顶级区域名
+	AreaId         uint      `gorm:"index;comment:'区域ID'"`                                                // 区域ID
+	AreaName       string    `gorm:"comment:'区域名'"`                                                       // 区域名
+	CommonAreaId   uint      `gorm:"index;comment:'公共区域ID'"`                                              // 公共区域ID
+	CommonAreaName string    `gorm:"comment:'公共区域名'"`                                                     // 公共区域名
+	HouseId        uint      `gorm:"index;comment:'房间ID'"`                                                // 房间ID
+	HouseName      string    `gorm:"comment:'房间名'"`                                                       // 房间名
+	HouseArea      float64   `gorm:"comment:'房间面积'"`                                                      // 房间面积
+	DeviceId       uint      `gorm:"index;comment:'设备ID'"`                                                // 设备ID
+	DeviceName     string    `gorm:"comment:'设备名'"`                                                       // 设备名
+	Address        string    `gorm:"comment:'设备地址'"`                                                      // 设备地址
+	FeeDate        time.Time `gorm:"comment:'费用日期'"`                                                      // 费用日期
+	BillAmount     float64   `gorm:"comment:'设备费用金额'"`                                                    // 设备费用金额
+	UsageTotal     float64   `gorm:"comment:'用量'"`                                                        // 用量
+	UsageStart     float64   `gorm:"comment:'开始用量'"`                                                      // 开始用量
+	UsageEnd       float64   `gorm:"comment:'结束用量'"`                                                      // 结束用量
+	NeedBill       string    `gorm:"default:0;comment:'是否需要账单(0:不需要,1:需要)'"`                              // 是否需要账单(0:不需要,1:需要)
+	BillingMethod  string    `gorm:"comment:'计费方式(0:单一,1:月周期,2:年周期,3:四费率,4:五费率)'"`                        // 计费方式(0:单一,1:月周期,2:年周期,3:四费率,4:五费率)
+	StepFee        string    `gorm:"comment:'阶梯费用'"`                                                      // 阶梯费用
 	collection.NewModel
 }
 
diff --git a/app/fin/model/ecs_device_model.go b/app/fin/model/ecs_device_model.go
index e0a66469bd7a7a5d7d58d143bdc4ff49e2ff4ae8..5c875cce5603c590c5e8181b1d52f884ab25fe47 100644
--- a/app/fin/model/ecs_device_model.go
+++ b/app/fin/model/ecs_device_model.go
@@ -7,18 +7,20 @@ import (
 
 // FinEcsDevice [财务]-计费方案设备绑定实体
 type FinEcsDevice struct {
-	Id         uint   `gorm:"primarykey;comment:'主键'" json:"id"`        // 主键
-	SchemeId   uint   `json:"schemeId" gorm:"index;comment:'方案ID'"`     // 方案ID
-	RegionId   uint   `json:"regionId" gorm:"index;comment:'顶级区域ID'"`   // 顶级区域ID
-	RegionName string `json:"regionName" gorm:"index;comment:'顶级区域名称'"` // 顶级区域名称
-	AreaId     uint   `json:"areaId" gorm:"index;comment:'区域ID'"`       // 区域ID
-	AreaName   string `json:"areaName" gorm:"index;comment:'区域名称'"`     // 区域名称
-	HouseId    uint   `json:"houseId" gorm:"index;comment:'房屋ID'"`      // 房屋ID
-	HouseName  string `json:"houseName" gorm:"index;comment:'房屋名'"`     // 房屋名
-	DeviceId   uint   `json:"deviceId" gorm:"index;comment:'设备ID'"`     // 设备ID
-	DeviceName string `json:"deviceName" gorm:"index;comment:'设备名'"`    // 设备名
-	Address    string `json:"address" gorm:"index;comment:'设备地址'"`      // 设备地址
-	MeterType  string `json:"meterType" gorm:"index;comment:'设备类型'"`    // 设备类型
+	Id         uint   `gorm:"primarykey;comment:'主键'" json:"id"`                                // 主键
+	SchemeId   uint   `json:"schemeId" gorm:"index;comment:'方案ID'"`                             // 方案ID
+	RegionId   uint   `json:"regionId" gorm:"index;comment:'顶级区域ID'"`                           // 顶级区域ID
+	RegionName string `json:"regionName" gorm:"index;comment:'顶级区域名称'"`                         // 顶级区域名称
+	AreaId     uint   `json:"areaId" gorm:"index;comment:'区域ID'"`                               // 区域ID
+	AreaName   string `json:"areaName" gorm:"index;comment:'区域名称'"`                             // 区域名称
+	HouseId    uint   `json:"houseId" gorm:"index;comment:'房屋ID'"`                              // 房屋ID
+	HouseName  string `json:"houseName" gorm:"index;comment:'房屋名'"`                             // 房屋名
+	HouseType  string `json:"houseType" gorm:"index;comment:'房屋类型(house:房屋,commonArea:区域)'"`    // 房屋类型(house:房屋,commonArea:区域)
+	DeviceId   uint   `json:"deviceId" gorm:"index;comment:'设备ID'"`                             // 设备ID
+	DeviceName string `json:"deviceName" gorm:"index;comment:'设备名'"`                            // 设备名
+	Address    string `json:"address" gorm:"index;comment:'设备地址'"`                              // 设备地址
+	MeterType  string `json:"meterType" gorm:"index;comment:'设备类型'"`                            // 设备类型
+	DeviceType string `json:"deviceType" gorm:"index;comment:'设备类型(electric:电,water:水,gas:气)'"` // 设备类型(electric:电,water:水,gas:气)
 	collection.NewModel
 }
 
diff --git a/app/fin/model/purse_flow_model.go b/app/fin/model/purse_flow_model.go
index 08c4cbfd54db98ebdefb603523382e1276c9f365..2236aa08af67c9d6392bb4d0fd975eb8b2720df3 100644
--- a/app/fin/model/purse_flow_model.go
+++ b/app/fin/model/purse_flow_model.go
@@ -12,15 +12,15 @@ type FinPurseFlow struct {
 	PurseId       uint    `gorm:"comment:'钱包ID';index"`    // 钱包ID
 	HouseId       uint    `gorm:"comment:'房屋ID';index"`    // 房屋ID
 	BillId        uint    `gorm:"comment:'账单ID';index"`    // 账单ID
-	EcsType       string  `gorm:"comment:'能耗类型'"`          // 能耗类型
-	FeeType       string  `gorm:"comment:'费用类型'"`          // 费用类型
+	EcsType       string  `gorm:"comment:'能耗类型'"`          // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType       string  `gorm:"comment:'费用类型'"`          // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	Amount        float64 `gorm:"comment:'变动后金额'"`         // 变动后金额
 	PreAmount     float64 `gorm:"comment:'变动前金额'"`         // 变动前金额
 	OperateAmount float64 `gorm:"comment:'变动金额'"`          // 变动金额
 	// LateAmount    float64   `gorm:"comment:'滞纳金'"`                                        // 滞纳金
 	PaymentSource string    `gorm:"comment:'缴费来源(0:后台,1:小程序,2:上门收款,3:扫码缴款)'"`             // 付款来源(0:后台,1:小程序,2:上门收款,3:扫码缴款)
 	PaymentMethod string    `gorm:"comment:'支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)'"` // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
-	FlowType      string    `gorm:"comment:'缴费类型(0:能耗账单,1:能耗充值,2:钱包充值)'"`                 // 缴费类型(0:能耗账单,1:能耗充值,2:钱包充值)
+	FlowType      string    `gorm:"comment:'缴费类型(0:能耗账单,1:能耗充值,2:总钱包充值,3:公摊账单)'"`         // 缴费类型(0:能耗账单,1:能耗充值,2:总钱包充值,3:公摊账单)
 	ReceiptState  string    `gorm:"comment:'收据状态(0:否,1:是)'"`                              // 收据状态(0:否,1:是)
 	TenantId      uint      `gorm:"comment:'租户ID'"`                                       // 租户ID
 	PaymentTime   time.Time `gorm:"comment:'支付时间'"`                                       // 支付时间
diff --git a/app/fin/routers/apportion_route.go b/app/fin/routers/apportion_route.go
index 6833bf5d30a9d3c6d94748722b5ccd8ebaf3da94..d41b0236c35e04f200dd661ae1ffa7064c8e4dec 100644
--- a/app/fin/routers/apportion_route.go
+++ b/app/fin/routers/apportion_route.go
@@ -229,7 +229,7 @@ func (hd apportionSchemesHandler) saveRatio(c *gin.Context) {
 		}
 	}
 
-	houseMap, err := hd.srvCommon.ListHouseMap(item.HouseId, nil, nil)
+	houseMap, err := hd.srvCommon.ListHouseMap(0, nil, item.HouseId, nil, nil)
 	if err != nil || len(houseMap) <= 0 {
 		if err = response.CheckErr(fmt.Errorf("房屋不存在"), "No House"); err != nil {
 			return
diff --git a/app/fin/routers/purse_route.go b/app/fin/routers/purse_route.go
index c92287ee8329c7f2229d74e49e77346afbb426b7..fe1c9207109a52dd7477d37e0e2fc61e6e94364a 100644
--- a/app/fin/routers/purse_route.go
+++ b/app/fin/routers/purse_route.go
@@ -153,6 +153,7 @@ func (hd purseHandler) refundFee(c *gin.Context) {
 		return
 	}
 	addReq.FeeType = "refund"
+	addReq.FlowType = constants.FlowTypeEnum.Purse
 	response.CheckAndResp(c, hd.srv.FeeChange(addReq, query.GetAuthReq(c)))
 }
 
@@ -163,6 +164,7 @@ func (hd purseHandler) subsidyFee(c *gin.Context) {
 		return
 	}
 	addReq.FeeType = "subsidy"
+	addReq.FlowType = constants.FlowTypeEnum.Purse
 	response.CheckAndResp(c, hd.srv.FeeChange(addReq, query.GetAuthReq(c)))
 }
 
diff --git a/app/fin/routers/report_router.go b/app/fin/routers/report_router.go
index 77178c6de58dd36ec70aba6de9da5530cae91f35..7bccf811c73d902f65380576d0ab5e22f92d7d9a 100644
--- a/app/fin/routers/report_router.go
+++ b/app/fin/routers/report_router.go
@@ -2,6 +2,7 @@ package routers
 
 import (
 	"energy-server-mgo/app/admin/schemas/query"
+	request "energy-server-mgo/app/admin/schemas/req"
 	finReq "energy-server-mgo/app/fin/schemas"
 	finSvr "energy-server-mgo/app/fin/service"
 	"energy-server-mgo/app/middleware"
@@ -20,7 +21,14 @@ func newReportHandler(srv finSvr.IFinReportService) *reportHandler {
 
 func regReport(rg *gin.RouterGroup, group *core.GroupBase) error {
 	return group.Reg(func(handle *reportHandler) {
-		rg.GET("/report/list", handle.list)
+		rg.GET("/report/statsEcs", handle.statsEcs)           // 能耗账单
+		rg.GET("/report/listEcs", handle.listEcs)             // 能耗账单列表(含用能费用报表)
+		rg.GET("/report/statsRecharge", handle.statsRecharge) // 能耗充值
+		rg.GET("/report/listRecharge", handle.listRecharge)   // 能耗充值列表
+		rg.GET("/report/listDeduct", handle.listDeduct)       // 能耗扣费
+		rg.GET("/report/listSubsidy", handle.listSubsidy)     // 能耗补贴
+		rg.GET("/report/listRefund", handle.listRefund)       // 能耗退费
+		rg.GET("/report/listShared", handle.listShared)       // 公摊账单列表
 	})
 }
 
@@ -28,12 +36,109 @@ type reportHandler struct {
 	srv finSvr.IFinReportService
 }
 
-// list列表
-func (hd reportHandler) list(c *gin.Context) {
-	var listReq finReq.FinCommonDeviceReq
+// statsEcs 能耗账单统计
+func (hd reportHandler) statsEcs(c *gin.Context) {
+	var listReq finReq.FinReportEcsReq
 	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
 		return
 	}
-	res, err := hd.srv.List(listReq, query.GetAuthReq(c))
+	res, err := hd.srv.InfoStatsEcs(listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// listEcs  能耗账单列表(含用能费用报表)
+func (hd reportHandler) listEcs(c *gin.Context) {
+	var page request.PageReq
+	var listReq finReq.FinReportEcsReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &page)) {
+		return
+	}
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	res, err := hd.srv.ListEcs(page, listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// statsRecharge 能耗充值统计
+func (hd reportHandler) statsRecharge(c *gin.Context) {
+	var listReq finReq.FinReportPurseReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	res, err := hd.srv.InfoStatsPurse(listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// listRecharge  能耗充值列表
+func (hd reportHandler) listRecharge(c *gin.Context) {
+	var page request.PageReq
+	var listReq finReq.FinReportPurseReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &page)) {
+		return
+	}
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	listReq.FeeType = "pay"
+	res, err := hd.srv.ListPurseFlow(page, listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// listDeduct  能耗扣费列表
+func (hd reportHandler) listDeduct(c *gin.Context) {
+	var page request.PageReq
+	var listReq finReq.FinReportPurseReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &page)) {
+		return
+	}
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	res, err := hd.srv.ListPurseDeduct(page, listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// listDeduct  能耗补贴列表
+func (hd reportHandler) listSubsidy(c *gin.Context) {
+	var page request.PageReq
+	var listReq finReq.FinReportPurseReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &page)) {
+		return
+	}
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	listReq.FeeType = "subsidy"
+	res, err := hd.srv.ListPurseFlow(page, listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// listDeduct  能耗退费列表
+func (hd reportHandler) listRefund(c *gin.Context) {
+	var page request.PageReq
+	var listReq finReq.FinReportPurseReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &page)) {
+		return
+	}
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	listReq.FeeType = "refund"
+	res, err := hd.srv.ListPurseFlow(page, listReq, query.GetAuthReq(c))
+	response.CheckAndRespWithData(c, res, err)
+}
+
+// listShared  公摊账单列表
+func (hd reportHandler) listShared(c *gin.Context) {
+	var page request.PageReq
+	var listReq finReq.FinReportPurseReq
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &page)) {
+		return
+	}
+	if response.IsFailWithResp(c, util.VerifyUtil.VerifyQuery(c, &listReq)) {
+		return
+	}
+	res, err := hd.srv.ListPurseShared(page, listReq, query.GetAuthReq(c))
 	response.CheckAndRespWithData(c, res, err)
 }
